<div id="macintdiv" style="display: none; background-color: rgba(0,0,0,0.80); position: fixed; left: 0px; top: 0px; bottom: 0px; right: 0px; min-height: 100vh; min-width: 100vw; max-height: 100vh; max-width: 100vw; z-index:9999999">
</div>
<div id="macintvid" class="video-container" style="display:none;z-index:99999999;"> 
   <script>
	         // This code loads the IFrame Player API code asynchronously.
      var tag = document.createElement('script');

      tag.src = "https://www.youtube.com/iframe_api";
      var firstScriptTag = document.getElementsByTagName('script')[0];
      firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
	   // Creates Video
	   var videos = [
    'sAzmAtZlkkc', 'sAzmAtZlkkc'
		];
		var index=Math.floor(Math.random() * videos.length);
		var html='<iframe id="macintplayer" class="video" src="http://www.youtube.com/embed/' + videos[index] + '?enablejsapi=1&rel=0&amp;cc_load_policy=0" frameborder="0" allowfullscreen></iframe>';
		document.write(html);
	</script>
</div>
<script>
$(document).ready(function(){
    $("#macintdiv").click(function(){
        $('#macintplayer')[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
		$("#macintvid").fadeOut( "fast" );
		$("#macintdiv").fadeOut( "fast" );
    });
    $(document).ready(function(){
    $("#macbtn").click(function(){
		$("#macintvid").fadeIn( "slow" );
		$("#macintdiv").fadeIn( "fast" );
	});
	});
});
</script>